Loading...
Searching...
No Matches
Halide::Runtime::Internal::MemoryBlockAllocatorFns Struct Reference

`#include <memory_resources.h>`

## Public Attributes

AllocateBlockFn | allocate = nullptr
DeallocateBlockFn | deallocate = nullptr
ConformBlockRequestFn | conform = nullptr

## Detailed Description

Definition at line 207 of file memory_resources.h.

## Member Data Documentation

## allocate

AllocateBlockFn Halide::Runtime::Internal::MemoryBlockAllocatorFns::allocate = nullptr

Definition at line 208 of file memory_resources.h.

## deallocate

DeallocateBlockFn Halide::Runtime::Internal::MemoryBlockAllocatorFns::deallocate = nullptr

Definition at line 209 of file memory_resources.h.

## conform

ConformBlockRequestFn Halide::Runtime::Internal::MemoryBlockAllocatorFns::conform = nullptr

Definition at line 210 of file memory_resources.h.

The documentation for this struct was generated from the following file:

- src/runtime/internal/memory_resources.h